## python-macholib 1.16.2+ds0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/macholib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/macholib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/macholib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/macholib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-macholib 1.7~dfsg

=== debian/changelog ===
python-macholib (1.7~dfsg-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * git-dpm tag config

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Oct 2015 23:17:10 +0100

python-macholib (1.7~dfsg-3) unstable; urgency=medium

  * Fixed test-suite for Python-3.5 (Closes: #802996)
    * B-D on python*-altgraph to run testsuite
    * Skip tests that can only succeed on OSX
  * Switched Vcs-Browser stanza to https://

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Oct 2015 22:59:19 +0100

python-macholib (1.7~dfsg-2) unstable; urgency=medium

  * Fixed Vcs-* stanza.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Aug 2015 23:25:42 +0200

python-macholib (1.7~dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #790898)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Jul 2015 21:31:04 +0200

=== debian/control ===
Source: python-macholib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-buildinfo,
 python,
 python3,
 devscripts,
 dh-python,
 python-setuptools,
 python3-setuptools,
# need altgraph to run testsuite
 python-altgraph, python3-altgraph,
# need sphinx for documentation
 python-sphinx
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/ronaldoussoren/macholib
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-macholib.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-macholib.git

Package: python-macholib
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-altgraph
Suggests: python-macholib-doc
Description: module for Mach-O header analysis and editing (Python 2 interface)
 This module can be used to analyze and edit Mach-O headers, the executable
 format used by Mac OS X.
 It's typically used as a dependency analysis tool, and also to rewrite dylib
 references in Mach-O headers to be @executable_path relative.
 Though this tool targets a platform specific file format, it is pure Python
 code that is platform and endian independent.
 .
 This package provides the Python 2.x module.

Package: python3-macholib
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-altgraph
Suggests: python-macholib-doc
Description: module for Mach-O header analysis and editing (Python 3 interface)
 This module can be used to analyze and edit Mach-O headers, the executable
 format used by Mac OS X.
 It's typically used as a dependency analysis tool, and also to rewrite dylib
 references in Mach-O headers to be @executable_path relative.
 Though this tool targets a platform specific file format, it is pure Python
 code that is platform and endian independent.
 .
 This package provides the Python 3.x module.

Package: python-macholib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: module for Mach-O header analysis and editing (API documentation)
 This module can be used to analyze and edit Mach-O headers, the executable
 format used by Mac OS X.
 It's typically used as a dependency analysis tool, and also to rewrite dylib
 references in Mach-O headers to be @executable_path relative.
 Though this tool targets a platform specific file format, it is pure Python
 code that is platform and endian independent.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=macholib
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	sphinx-build -bhtml doc build/html

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/*.egg-info/
	rm -rf $(CURDIR)/build

override_dh_sphinxdoc:
	dh_sphinxdoc
	find debian/python-macholib-doc -name license.txt -delete

override_dh_auto_install:
	dh_auto_install
#remove deprecated binaries
	for f in dump find standalone; do rm debian/python*-macholib/usr/bin/macho_$$f; done
	rmdir --ignore-fail-on-non-empty --parents debian/python*-macholib/usr/bin

override_dh_auto_test:
	python3 setup.py egg_info
	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -v'

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
  http://pypi.debian.net/macholib/macholib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-macholib 1.8~dfsg

=== debian/changelog ===
python-macholib (1.8~dfsg-1) unstable; urgency=medium

  * Imported new upstream version 1.8~dfsg

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Jan 2017 20:42:25 +0100

python-macholib (1.7~dfsg-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control
    * Fixed VCS URL (https)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * d/README.source
    * Note on how to properly clone the repo.
    * Note on packaging with git-dpm
  * d/control
    * Marked -doc package as Multi-Arch:foreign
    * Put multi-values on one line per value
    * Normalized Vcs-Browser stanza
    * Bumped standards-version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 30 Nov 2016 23:25:06 +0100

=== debian/control ===
--- 
+++ 
@@ -15,17 +15,21 @@
 # need altgraph to run testsuite
  python-altgraph, python3-altgraph,
 # need sphinx for documentation
- python-sphinx
-Standards-Version: 3.9.6
+ python-sphinx,
+Standards-Version: 3.9.8
 Homepage: https://bitbucket.org/ronaldoussoren/macholib
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-macholib.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-macholib.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-macholib.git
+Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-macholib.git
 
 Package: python-macholib
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- python-altgraph
-Suggests: python-macholib-doc
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${python:Depends},
+ python-altgraph,
+Suggests:
+ python-macholib-doc,
 Description: module for Mach-O header analysis and editing (Python 2 interface)
  This module can be used to analyze and edit Mach-O headers, the executable
  format used by Mac OS X.
@@ -38,9 +42,13 @@
 
 Package: python3-macholib
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
- python3-altgraph
-Suggests: python-macholib-doc
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-altgraph,
+Suggests:
+ python-macholib-doc,
 Description: module for Mach-O header analysis and editing (Python 3 interface)
  This module can be used to analyze and edit Mach-O headers, the executable
  format used by Mac OS X.
@@ -53,8 +61,11 @@
 
 Package: python-macholib-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: module for Mach-O header analysis and editing (API documentation)
  This module can be used to analyze and edit Mach-O headers, the executable
  format used by Mac OS X.

## python-macholib 1.9

=== debian/changelog ===
python-macholib (1.9-1) unstable; urgency=medium

  * New upstream version 1.9

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 05 Dec 2017 16:42:19 +0100

python-macholib (1.8-1) unstable; urgency=medium

  * Re-imported upstream version 1.8 (it's DFSG clean)

  * Convert from git-dpm to patches unapplied format
    * Refresh patches after git-dpm to gbp pq conversion
    * Updated d/README.source since we switched to gbp-pq
  * Dropped Files-Excluded stanza (no longer needed)
  * B-D on python3-sphinx (rather than python-sphinx)
  * Remove extraneous files in the dh_auto_install override.
  * Use https:// throughout
  * Updated d/watch
  * Bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Oct 2017 15:26:54 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 # need altgraph to run testsuite
  python-altgraph, python3-altgraph,
 # need sphinx for documentation
- python-sphinx,
-Standards-Version: 3.9.8
+ python3-sphinx,
+Standards-Version: 4.1.1
 Homepage: https://bitbucket.org/ronaldoussoren/macholib
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-macholib.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-macholib.git

=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,9 @@
 	rm -rf $(CURDIR)/*.egg-info/
 	rm -rf $(CURDIR)/build
 
-override_dh_sphinxdoc:
-	dh_sphinxdoc
-	find debian/python-macholib-doc -name license.txt -delete
-
 override_dh_auto_install:
 	dh_auto_install
+	find debian/python-macholib-doc -name license.txt -delete
 #remove deprecated binaries
 	for f in dump find standalone; do rm debian/python*-macholib/usr/bin/macho_$$f; done
 	rmdir --ignore-fail-on-non-empty --parents debian/python*-macholib/usr/bin

=== debian/watch ===
# process this file with uscan(1)
version=4
https://pypi.python.org/packages/source/m/macholib/ \
 macholib-([\d\.]+).tar.gz debian uupdate

## python-macholib 1.11+repack0

=== debian/changelog ===
python-macholib (1.11+repack0-1) unstable; urgency=medium

  * New upstream version 1.11+repack0

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed patches
  * Fixed version string
  * Package doesn't require "root" to build
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Sep 2018 20:58:01 +0200

python-macholib (1.10+repack0-1) unstable; urgency=medium

  * New upstream version 1.10+repack0
    * Refreshed patches
  * Bumped standards version to 4.2.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Aug 2018 17:18:51 +0200

python-macholib (1.9+repack0-1) unstable; urgency=medium

  * Repacked upstream as 1.9+repack0 to drop pre-built docs and eggs

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Enabled generic python tests for DebCI
  * Only run tests if 'nocheck' is not given
  * Exclude pre-built docs (and eggs) from source-tarball
  * d/watch mangle repack suffix
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Apr 2018 16:20:47 +0200

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,12 @@
  python-altgraph, python3-altgraph,
 # need sphinx for documentation
  python3-sphinx,
-Standards-Version: 4.1.1
+Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://bitbucket.org/ronaldoussoren/macholib
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-macholib.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-macholib.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-macholib.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-macholib
 
 Package: python-macholib
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	sphinx-build -bhtml doc build/html
+	python3 -m sphinx -bhtml doc build/html
 
 override_dh_clean:
 	dh_clean
@@ -24,5 +24,7 @@
 	rmdir --ignore-fail-on-non-empty --parents debian/python*-macholib/usr/bin
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	python3 setup.py egg_info
 	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -v'
+endif

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=s/[~+](dfsg|repack)([.]?[0-9]*)?$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/m/macholib/ \
 macholib-([\d\.]+)@ARCHIVE_EXT@ debian uupdate

## python-macholib 1.14%2Bds0

=== debian/changelog ===
python-macholib (1.14+ds0-1) unstable; urgency=medium

  * New upstream version 1.14+ds0
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Jan 2020 13:56:44 +0100

python-macholib (1.13+ds0-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 1.13+ds0
    * Refresh patches
  * Update d/watch to automatically add a ds-suffix
  * Remove obsolete d/source/local-options file

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Jan 2020 11:15:06 +0100

python-macholib (1.11+repack0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Wed, 07 Aug 2019 15:39:35 +0200

## python-macholib 1.14+ds0

=== debian/control ===
--- 
+++ 
@@ -4,43 +4,22 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper-compat (= 12),
  dh-buildinfo,
- python,
- python3,
+ python3-all,
  devscripts,
  dh-python,
- python-setuptools,
  python3-setuptools,
 # need altgraph to run testsuite
- python-altgraph, python3-altgraph,
+ python3-altgraph,
 # need sphinx for documentation
  python3-sphinx,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://bitbucket.org/ronaldoussoren/macholib
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-macholib.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-macholib
-
-Package: python-macholib
-Architecture: all
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- ${python:Depends},
- python-altgraph,
-Suggests:
- python-macholib-doc,
-Description: module for Mach-O header analysis and editing (Python 2 interface)
- This module can be used to analyze and edit Mach-O headers, the executable
- format used by Mac OS X.
- It's typically used as a dependency analysis tool, and also to rewrite dylib
- references in Mach-O headers to be @executable_path relative.
- Though this tool targets a platform specific file format, it is pure Python
- code that is platform and endian independent.
- .
- This package provides the Python 2.x module.
 
 Package: python3-macholib
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,12 @@
 export https_proxy = https://127.0.0.1:9
 
 %:
-	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_build:
 	dh_auto_build
 	python3 -m sphinx -bhtml doc build/html
+	find build/html -name license.txt -delete
 
 override_dh_clean:
 	dh_clean
@@ -18,7 +19,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	find debian/python-macholib-doc -name license.txt -delete
 #remove deprecated binaries
 	for f in dump find standalone; do rm debian/python*-macholib/usr/bin/macho_$$f; done
 	rmdir --ignore-fail-on-non-empty --parents debian/python*-macholib/usr/bin

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=auto,\
     uversionmangle=s/(rc|a|b|c)/~$1/,\
     oversionmangle=s/$/+ds0/ \
https://pypi.python.org/packages/source/m/macholib/ \
 macholib-([\d\.]+)@ARCHIVE_EXT@ debian uupdate

## python-macholib 1.15.2%2Bds0

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,31 @@
 Source: python-macholib
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ devscripts,
  dh-buildinfo,
- python3-all,
- devscripts,
  dh-python,
+ python3-all:any,
+ python3-altgraph,
  python3-setuptools,
-# need altgraph to run testsuite
- python3-altgraph,
-# need sphinx for documentation
  python3-sphinx,
-Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://bitbucket.org/ronaldoussoren/macholib
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-macholib.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-macholib
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-macholib.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-macholib
 
 Package: python3-macholib
 Architecture: all
 Depends:
- ${shlibs:Depends},
+ python3-altgraph,
  ${misc:Depends},
  ${python3:Depends},
- python3-altgraph,
+ ${shlibs:Depends},
 Suggests:
  python-macholib-doc,
 Description: module for Mach-O header analysis and editing (Python 3 interface)

## python-macholib 1.15.2+ds0

=== debian/changelog ===
python-macholib (1.15.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.15.2+ds0

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * B-D on python3-all:any
  * Add autopkgtest (using upstream's testsuite)
    * Drop automatic autopkgtest-pkg-python
  * Add salsa-ci configuration
  * Mark applicable patches as no-forward-needed
  * Apply 'wrap-and-sort -ast'
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Oct 2021 15:42:46 +0200

## python-macholib 1.16+ds0

=== debian/changelog ===
python-macholib (1.16+ds0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 00:57:24 +0100

python-macholib (1.16+ds0-1) unstable; urgency=medium

  * New upstream version 1.16+ds0
  * Mark patch as forwarded

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Apr 2022 18:31:52 +0200

## python-macholib 1.16.2+ds0

=== debian/changelog ===
python-macholib (1.16.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.16.2+ds0
  * B-D on dh-sequence-(python3|sphinxdoc) pseudo-packages
  * Drop override_dh_clean in favour of d/clean
  * Drop override_dh_* in favour of execute_after_dh_*
  * Update d/copyright
    * Update copyright dates and license identifiers
    * Add 'licensecheck' target
    * Generate initial d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 29 Sep 2022 10:11:48 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
  debhelper-compat (= 13),
  devscripts,
  dh-buildinfo,
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all:any,
  python3-altgraph,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://bitbucket.org/ronaldoussoren/macholib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-macholib.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=macholib
export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	python3 -m sphinx -bhtml doc build/html
	find build/html -name license.txt -delete

execute_after_dh_auto_install:
#remove deprecated binaries
	for f in dump find standalone; do rm debian/python*-macholib/usr/bin/macho_$$f; done
	rmdir --ignore-fail-on-non-empty --parents debian/python*-macholib/usr/bin

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py egg_info
	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -v'
endif

licensecheck:
	licensecheck --check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# process this file with uscan(1)
version=4
opts="dversionmangle=auto, \
     uversionmangle=s/(rc|a|b|c)/~$1/, \
     oversionmangle=s/$/+ds0/" \
https://pypi.python.org/packages/source/m/macholib/ \
 macholib-([\d\.]+)@ARCHIVE_EXT@ debian uupdate

## python-macholib 1.16.3+ds

=== debian/changelog ===
python-macholib (1.16.3+ds-3) unstable; urgency=medium

  * Team Upload
  * Remove dependency on devscripts

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 17:27:39 +0200

python-macholib (1.16.3+ds-2) unstable; urgency=medium

  * Team Upload
  * Remove dependency on dh-buildinfo
  * Fix Homepage

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Nov 2024 12:46:31 +0100

python-macholib (1.16.3+ds-1) unstable; urgency=medium

  * New upstream version 1.16.3+ds
    + Refresh patches
  * Drop repack version number
  * Update copyright information
    + Bump copyright dates
    + Modernized 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Oct 2023 23:31:34 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,15 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- devscripts,
- dh-buildinfo,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  python3-all:any,
  python3-altgraph,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://bitbucket.org/ronaldoussoren/macholib
+Homepage: https://github.com/ronaldoussoren/macholib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-macholib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-macholib

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,14 @@
 	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -v'
 endif
 
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        debian/.*
+# licensecheck v1
+.PHONY: licensecheck
 licensecheck:
-	licensecheck --check '.*' --recursive --deb-machine --lines 0 * \
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 python3-macholib,
Restrictions: allow-stderr

## python-macholib 1.16.4%2Bds

=== debian/watch ===
Version: 5

Template: Pypi
Dist: macholib
Repacksuffix: +ds
Dversionmangle: auto
Uversion-Mangle: s/(rc|a|b|c)/~$1/
Matching-Pattern: macholib-([\d\.]+)@ARCHIVE_EXT@

## python-macholib 1.16.4+ds

=== debian/changelog ===
python-macholib (1.16.4+ds-1) unstable; urgency=medium

  * New upstream version 1.16.4+ds

  * Drop obsolete Rules-Requires-Root stanza.
  * Apply 'wrap-and-sort -ast'
  * Bump d/watch to version:5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 08 Dec 2025 16:14:15 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-setuptools,
  python3-sphinx,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://github.com/ronaldoussoren/macholib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-macholib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-macholib

=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 python3-macholib,
Restrictions:
 allow-stderr,
